Bug 1288163 - annoying false error when starting vdsmd
annoying false error when starting vdsmd
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.5.3
x86_64 Linux
medium Severity medium
: ovirt-4.2.0
: ---
Assigned To: Leon Goldberg
Meni Yakove
:
Depends On: 1121571
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 12:24 EST by Sachin Raje
Modified: 2017-04-26 07:31 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1121571
Environment:
Last Closed: 2017-04-26 07:31:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Sachin Raje 2015-12-03 12:28:02 EST
1. These messages are appearing when the hypervisor is booting and up to now they have not caused any failure.

<snip>
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-203'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-324'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-195'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-208'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-330'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-333'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-192'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-193'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-229'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-8'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-100'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-328'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-221'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-46'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-rhevm'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-29'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-356'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-3'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-2'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-5'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-341'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-368'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-6'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-9'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-340'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-188'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-358'
libvirt: Network Driver error : Network not found: no network with matching name 'vdsm-361'
</snip>

2. Below messages in supervdsm.log :

<snip>

MainProcess|Thread-20::DEBUG::2015-08-11 08:57:27,631::libvirtconnection::143::root::(wrapper) Unknown libvirterror: ecode: 43 edom: 19 level: 2 message: Network not found: no network with matching name 'vdsm-rhevm'
MainProcess|Thread-39::DEBUG::2015-08-11 09:09:08,536::libvirtconnection::143::root::(wrapper) Unknown libvirterror: ecode: 43 edom: 19 level: 2 message: Network not found: no network with matching name 'vdsm-203'
.
.
.
.
MainThread::DEBUG::2015-09-29 14:09:26,331::libvirtconnection::143::root::(wrapper) Unknown libvirterror: ecode: 43 edom: 19 level: 2 message: Network not found: no network with matching name 'vdsm-358'
MainThread::DEBUG::2015-09-29 14:09:26,669::libvirtconnection::143::root::(wrapper) Unknown libvirterror: ecode: 43 edom: 19 level: 2 message: Network not found: no network with matching name 'vdsm-361'
</snip>
Comment 3 Yaniv Lavi 2016-05-09 07:01:40 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 7 Dan Kenigsberg 2017-04-25 11:05:55 EDT
Eddy, I believe that with your libvirt-db-removal patches, this little nastiness is finally gone. right?
Comment 8 Edward Haas 2017-04-26 02:46:23 EDT
(In reply to Dan Kenigsberg from comment #7)
> Eddy, I believe that with your libvirt-db-removal patches, this little
> nastiness is finally gone. right?

Yes, it should no longer happen in the context of supervdsm.

We now just read existing defined networks from libvirt in order to 'upgrade' the configuration and clean them when we are done.
Only virt creates now libvirt networks and these networks lifetime is bound to the vnics connected to them.

Note You need to log in before you can comment on or make changes to this bug.